python安装第三方库出错的通用解决方法

通过pip install xxx 出错的情况大致分为以下几种

  1. 网速不行

    解决办法:

    利用国内镜像方法为 pip install xxx (包名) -i(镜像网址)
    常用的镜像有:

     豆瓣            -i https://pypi.douban.com/simple/ 
     阿里			 -i https://mirrors.aliyun.com/pypi/simple/ 
     华中理工大学	 -i https://pypi.hustunique.com/simple/ 
     山东理工大学 	 -i https://pypi.sdutlinux.org/simple/ 
     中国科学技术大学 -i https://pypi.mirrors.ustc.edu.cn/simple/ 
     清华 			 -i https://pypi.tuna.tsinghua.edu.cn/simple 
    
  2. 能够正常下载但是安装不了,如
    python安装第三方库出错的通用解决方法_第1张图片

    解决办法,找对应的wheel文件
    网址:https://www.lfd.uci.edu/~gohlke/pythonlibs/
    ctrl+f 搜素对应的包名python安装第三方库出错的通用解决方法_第2张图片
    点击对应的包python安装第三方库出错的通用解决方法_第3张图片
    0.1.15指的是库的版本,cp37是指适用于python3.7,win32是指对应的系统,如果你是linux系统,那么就去找对应的linux包。
    然后利用cmd命令行cd至下载的目录,用pip工具进行安装,如:
    pip install pocketsphinx-0.1.15-cp37-cp37m-win_amd64.whl(按tab键会对包名自动补全)

  3. 能够下载但是提示版本不对

    解决办法:
    pip install xxx(包名)==xx.xx(版本)

  4. 能够下载,但报错

     Microsoft Visual C++ 14.0 or greater is required. 
     Get it with "Microsoft C++ Build Tools":
    

    一般是因为下载的包是.tar.gz的文件,而不是.whl文件,首先需要对其进行解压,然后进行编译,然后set.up工具会对其进行安装。
    此错误一般见于win系统,因为在编译的时候缺少对应的C++编译工具导致无法编译。
    解决办法:先看能不能找到对应的wheel文件,wheel文件是已经被编译好的文件,可以直接安装。
    如果找不到对应的文件,那就下载对应的C++编译工具,
    看这个博客:传送门

你可能感兴趣的